Subject: Re: [bug#50778] [PATCH] m4: Don't require courage on unsupported systems.

From: Efraim Flashner <[email-masked]>
Date: Sun, 17 Oct 2021 10:20:45 +0300

On Wed, Oct 13, 2021 at 11:00:16AM +0200, Ludovic Courtès wrote:
> Efraim Flashner <[email-masked]> skribis:
> 
> > * m4/guix.m4 (GUIX_ASSERT_SUPPORTED_SYSTEM): Don't error if building on
> > an unsupported system.
> > * doc/guix.texi (GNU Distribution): Relabel mips64el-linux as
> > unsupported.
> > ---
> >
> > As we discussed previously with the powerpc-linux patches, I've gotten
> > around to changing the m4 error to a warning. Also, I didn't change
> > i586-gnu to say unsupported next to it in GNU Distribution in the
> > manual, although I suppose the other option would be to add i586-gnu to
> > supported in m4/guix.m4.
> 
> Yes, I’d rather mark i586-gnu as supported in m4/guix.m4 (it should have
> been the case long ago) and keep the error and ‘--with-courage’ flag.
> 
> WDYT?

I'm OK with changing i586-gnu to supported in m4/guix.m4. However, part
of the plan was to make it so that we didn't have to have the
--with-courage flag when building for mips64el, and so we could remove
powerpc-linux so it would also say that it is unsupported but we
wouldn't need people to make special versions of the guix package so
they can try to build it. I can make it bigger and flashier, so it looks
more like

****************************************

WARNING: YOU ARE ATTEMPTING TO BUILD GUIX ON AN UNSUPPORTED PLATFORM!
PROCEED AT YOUR OWN RISK!!! YOU HAVE BEEN WARNED! HERE BE DRAGONS!!!!

****************************************

> > -@item mips64el-linux (deprecated)
> > +@item mips64el-linux (unsupported)
> 
> Good idea.  :-)
> 
> Thanks!
> 
> Ludo’.
> 
> 
> 

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted